Subject: RE: bug#8429: 24.0.50; regression: `flush-lines' does not flush all it should

From: "Drew Adams" <[email-masked]>
Date: Fri, 1 Feb 2013 18:16:39 -0800

> > M-x grep RET grep -nH -e "#" *.el */*.el RET
> >
> > The grep output shows all matches for `#'.
> >
> > C-x C-q to make the grep buffer writable.
> >
> > M-x flush-lines RET ###autoload RET
> >
> > Only the first few lines containing `###autoload' are flushed.
> 
> Your report is from 5 Apr 2011.  But this was already fixed 9 May 2011
> by Yidong in http://debbugs.gnu.org/7952#103
> 
> Drew, could you verify that there is no bug anymore.

Interesting.  Bug #8429 was not closed.

And yes, I tested it today before I sent that mail, starting from emacs -Q with
this build:

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-01-30 on ODIEONE
Bzr revision: 111631 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'

I followed the recipe in the bug report.  At first I thought it was fixed, but
then I saw that there were still plenty of occurrences of the regexp matches
farther down in the buffer.  Try it and see what you find.

I used Emacs on Windows with grep from Cygwin, but that should not make any
difference.